=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=systemd

override_dh_auto_build:
	dh_auto_build -- LINKTYPE=dynamic

override_dh_installinit:
	# Start right after syslog is available, and don't bother stopping
	# (which just unloads the kdump kernel) so that we can catch crashes
	# all the way until actual shutdown.
	dh_installinit -pkdump-tools -- start 11 2 3 4 5 .

override_dh_install:
	dh_install
	install -D -m 755 debian/kernel-postinst-generate-initrd debian/kdump-tools/etc/kernel/postinst.d/kdump-tools
	install -D -m 755 debian/kernel-postrm-delete-initrd debian/kdump-tools/etc/kernel/postrm.d/kdump-tools
