=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: devel
 Priority: optional
 Maintainer: Louis Bouchard <louis.bouchard@ubuntu.com>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 7.0.50), libelf-dev, libz-dev, libdw-dev (>= 0.141-2ubuntu1),
-                libbz2-dev, dh-systemd (>=1.5), po-debconf
+                libbz2-dev, liblzo2-dev, dh-systemd (>=1.5), po-debconf
 Vcs-Git: git://git.debian.org/collab-maint/makedumpfile.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/makedumpfile.git;a=summary
 
 Package: makedumpfile
-Architecture: i386 amd64 powerpc ia64 lpia x32 armel armhf ppc64el
+Architecture: i386 amd64 powerpc ia64 x32 arm64 armel armhf ppc64el s390x
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
 Recommends: crash, kexec-tools
 Replaces: kdump-tools (<< 1.3.4-1~)
@@ -21,7 +21,8 @@
 
 Package: kdump-tools
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, makedumpfile, kexec-tools, debconf
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}, makedumpfile,
+         debconf, bsdmainutils
 Description: scripts and tools for automating kdump (Linux crash dumps)
  kdump-tools provides an init script and a configuration script for
  automating the use of kdump.  It uses the makedumpfile utility to
