## makedumpfile 1.6.1

=== debian/changelog ===
makedumpfile (1:1.6.1-2) sid; urgency=medium

  * d/kernel-postinst-generate-initrd : Add scsi_dh_* modules if in
    use so the system can dump a crash when root is on multipath
    (LP: #1635597) (Closes: 862411)

  [ dann frazier ]
  * Select appropriate /etc/default/grub.d/kdump-tools.cfg at build time.
    A side-effect of this is that kdump-tools is no longer Arch: all.
    (Closes: #863858)

 -- Louis Bouchard <louis@ubuntu.com>  Wed, 16 Aug 2017 16:10:01 +0200

makedumpfile (1:1.6.1-1) sid; urgency=medium

  * New upstream release. Main new feature:
    o Support new kernels
     - The supported kernel is updated to 4.8 in this version.

  * Changelog:
    o New feature
        - [PATCH v2] Support _count -> _refcount rename in struct page (by Vitaly
          Kuznetsov) ed46b6a
        - [PATCH 1/8] ppc64: fix vtop page translation for 4K pages (by Hari
          Bathini) cf02f88
        - [PATCH 2/8] ppc64: Use kernel terminology for each level in 4-level page
          table (by Hari Bathini) 37abbe1
        - [PATCH 3/8] ppc64: address changes in kernel v4.5 (by Hari Bathini)
          bc86b61
        - [PATCH 4/8] ppc64: address change in _PAGE_PRESNT flag for PowerISA v3.0
          (by Hari Bathini) 3003fbe
        - [PATCH 5/8] ppc64: use physical addresses and unfold pud for 64K page
          size (by Hari Bathini) afe7f9f
        - [PATCH 6/8] ppc64: support big endian Linux page tables (by Hari
          Bathini) f3d7cc5
        - [PATCH 7/8] ppc64: use the same masked bit values for 4K and 64K
          pagesizes (by Hari Bathini) 398746a
        - [PATCH 8/8] ppc64: enable address translation support for radix mmu (by
          Hari Bathini) ed65d60
        - [PATCH 01/10] arm64: cleanup code, comment, blank space, blank lines etc
          (by Pratyush Anand) c42c582
        - [PATCH 02/10] read_vmcoreinfo_long: Allow to read hex values as well (by
          Pratyush Anand) b01fa28
        - [PATCH 03/10] Introduce read_vmcoreinfo_ulong() (by Pratyush Anand)
          edc314e
        - [PATCH 04/10] arm64: use already available PAGESIZE() and PAGESHIFT()
          macros (by Pratyush Anand) 48581a7
        - [PATCH 05/10] arm64: fix page_offset definition (by Pratyush Anand)
          a4335c6
        - [PATCH 06/10] arm64: fix re-filtering (by Pratyush Anand) 618b76c
        - [PATCH 07/10] arm64: use value of VA_BITS and PHYS_OFFSET embedded into
          vmcore (by Pratyush Anand) 74df822
        - [PATCH 08/10] arm64: immunize identity mapped address finding w.r.t.
          kernel changes (by Pratyush Anand) a84f726
        - [PATCH 09/10] arm64: Add support for 4level 4K page translations table
          (by Azriel Samson) 969ee30
        - [PATCH 10/10] arm64: fix memory layout as per changes in v4.6 kernel (by
          Pratyush Anand) b6fe70c

    o Bugfix
        - [PATCH 1/2] sadump: fix segmentation fault on sadump-related formats (by
          HATAYAMA Daisuke) 0ba14bc
        - [PATCH 2/2] sadump: fix wrong progress report on sadump formats (by
          HATAYAMA Daisuke) d5d268b
        - [PATCH] Fix module init base and size offset for kernel v4.5 (by
          Guenther Hutzl) 32dd468
        - [PATCH] Fix uninitialized file descriptors for parallel dump (by Atsushi
          Kumagai) 1474dd4
        - [PATCH] x86_64: Set zero to phys_base for the kernel older than 2.6.22
          (by Atsushi Kumagai) 114060b

    o Cleanup
        - [PATCH] Add more descriptions of multi-threads feature (by Zhou Wenjian)
          2af8d6a
        - [PATCH v2] Cleanup: Use a negative number for uninitialized file
          descriptors (by Petr Tesarik) 8b8fa9f
        - [PATCH v3 1/3] open_dump_bitmap: open bitmap file in non-cyclic case (by
          Martin Wilck) a8d8657
        - [PATCH v3 2/3] move call to open_dump_bitmap() to after call to
          initial() (by Martin Wilck) 3696c40
        - [PATCH v3 3/3] close_dump_bitmap: simplify logic (by Martin Wilck)
          c1c53f8
        - [PATCH v2 1/2] Adapt code to get value of phys_base (by Baoquan He)
          acdbb1d
        - [PATCH V2 1/4] x86_64: Calculate page_offset from pt_load (by Pratyush
          Anand) 0c9dd01
        - [PATCH V2 2/4] x86_64: translate all VA to PA using page table values
          (by Pratyush Anand) c41e33c
        - [PATCH V2 3/4] x86_64: kill is_vmalloc_addr_x86_64() (by Pratyush Anand)
          8419f4d
        - [PATCH V2 4/4] x86_64: kill some unused initialization (by Pratyush
          Anand) ecb3719
        - [PATCH v2 2/2] Clean up unused KERNEL_IMAGE_SIZE (by Atsushi Kumagai)
          0068010

  * Debian specific changes :
    - d/control:
      Update Vcs-Git field to new URL
      Add lsb-base dependency to kdump-tools to avoid lintian error
    - Fix Readme.Debian :
      Replace nmi_watchdog=1 to nmi_watchdog=panic for x86 and x86_64 arch
      (Closes: 824094)
      Mention Magic SysRq key (Closes: 793753)

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Thu, 05 Jan 2017 11:07:16 +0100

makedumpfile (1:1.6.0-4) unstable; urgency=medium

  * Turn hardcoded timeo and retrans NFS options into parameters that
    can be modified in /etc/default/kdump-tools. Also use the NFS defaults
    (timeo=600, retrans=3) for these parameters. Make those values visible
    in the 'show' command if NFS is configured (Closes: 847920)

  * Add translation file for :
    [ Chris Leick <c.leick@vollbio.de> ]
    - German (Closes: 842494)

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Mon, 12 Dec 2016 12:32:29 +0100

makedumpfile (1:1.6.0-3) sid; urgency=medium

  * d/p/0003-PATCH-v2-Support-_count-_refcount-rename-in-struct-p.patch,
    d/p/0004-fix-readpage_elf-attempt-to-read-non-existent-page.patch
    Fix makedumpfile failure on 4.8 kernels.
     - Makedumpfile will exit on error with the following message :
       get_mem_map: Can't distinguish the memory type. (LP: #1626269)
     - Fix readpage_elf: Attempt to read non-existent page errors after

