=== debian/changelog ===
makedumpfile (1:1.6.3-2~16.04.3) xenial; urgency=medium

  * d/p/0004-align_PMD_SECTION_MASK_with_PHYS_MASK.patch (LP: #1869465)
    Fix error on arm64 with 1TB+ of physical or firmware-mapped RAM.

 -- Ioanna Alifieraki <ioanna-maria.alifieraki@canonical.com>  Thu, 04 Jun 2020 15:28:39 +0100

makedumpfile (1:1.6.3-2~16.04.2) xenial; urgency=medium

  * Let the kernel decide the crashkernel offset for ppc64el (LP: #1741860)
  * Reload kdump after memory/CPU hotplug. (LP: #1655280)
  * Use a different service for vmcore dump. (LP: #1811692)
  * Reload kdump when CPU is brought online. (LP: #1828596)
  * Add a reload command. (LP: #1828596)
  * kdump-config: implement try-reload (LP: #1828596)
  * udev: hotplug: use try-reload (LP: #1828596)
  * Use reset_devices as a cmdline parameter. (LP: #1800566)

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Wed, 18 Dec 2019 16:06:16 -0300

makedumpfile (1:1.6.3-2~16.04.1) xenial; urgency=medium

  * Backport latest makedumpfile to xenial. (LP: #1746299)
  * Revert to build-depending on dh-systemd, as xenial does not have
    debhelper >= 9.20160709.

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Mon, 21 May 2018 11:02:15 -0300

makedumpfile (1:1.6.3-2) unstable; urgency=medium

  * Add support for SPARSEMEM_EXTREME mem_section as a pointer. (LP: #1750021)
  * Add an autopkgtest that test that a crash produces a compressed dump
    file.
  * Create initrd for previously installed kernels. (LP: #1751329)

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Mon, 05 Mar 2018 09:28:55 -0300

makedumpfile (1:1.6.3-1) unstable; urgency=medium

  * New upstream release. Main new feature:
    o Support new kernels
     - The supported kernel is updated to 4.14.8 in this version. (LP: #1746299)
       4.14.9 and later can't be filtered correctly due to inappropriate VMCOREINFO,
       it will be resolved in kernel 4.15.

  * Changelog:
    o New feature
        - [PATCH v2] x86_64: Take care of init_level4_pgt rename in kernel (by Pratyush Anand) 64bd5db
        - [PATCH v2] Fix SECTION_MAP_MASK for kernel >= v.13 (by Pratyush Anand) 4bf4f2b
        - [PATCH v2] book3s/ppc64: Lower the max real address to 53 bits for kernels >= v4.11
          (by Bhupesh Sharma) 6c83e74
        - [PATCH v3 1/4] Support symbol __cpu_online_mask (by Takao Indoh) 3b11c00
        - [PATCH] ppc64: update hash page table geometry (by Hari Bathini) 3c39f13
        - [PATCH] handle renamed init_level4_pgt -> init_top_pgt (by Jeff Mahoney) 5e54d53

    o Bugfix
        - [PATCH v2] arm64: Fix page table walk of 1GB section (by Bradley Bolen) 27508f1
        - [PATCH v2 1/2] ppc64: set page_offset in get_versiondep_info_ppc64() (by Pingfan Liu) 52319d2
        - [PATCH v2 2/2] ppc64: get the info of mem reserved for crashkernel (by Pingfan Liu) c7fcbbc
        - [PATCH v3 3/4] sadump: Fix a KASLR problem of sadump (by Takao Indoh) b4f7d95
        - [PATCH v3 4/4] sadump: Fix a KASLR problem of sadump while kdump is working (by Takao Indoh) 13d3059
        - [PATCH 2/2] Fix 'kernel_version' variable being uninitialized & introduce minor reorganization
          (by Bhupesh Sharma) d1ffe82
        - [PATCH 1/2] Fix off-by-one errors in exclude_segment() (by Petr Tesarik) 590f35e
        - [PATCH 2/2] Fix physical-to-virtual conversion in exclude_segment() (by Petr Tesarik) 6c1bf2a

    o Cleanup
        - [PATCH] Fix formatting problems in header file (by Eric DeVolder) cefea9e
        - [PATCH v3 2/4] Introduce vtop4_x86_64_pagetable (by Takao Indoh) 6de5d37
        - [PATCH 1/2] Fix compilation warnings on ppc64/ppc64le platforms (by Bhupesh Sharma) 0df157a
        - [PATCH] Make good use of is_cyclic_region() (by Atsushi Kumagai) 6bfd7a3
        - [PATCH] Fix the regression about getting kernel version (by Atsushi Kumagai) 254c116
        - [PATCH] Update maintainers (by Atsushi Kumagai) 9d3147e

  * Use multi-user.target. (LP: #1708409)
  * kdump-tools Recommends initramfs-tools-core.
  * Add myself as uploader.
  * Move Vcs control fields to salsa.

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Tue, 06 Feb 2018 12:53:14 -0200

makedumpfile (1:1.6.2-2) unstable; urgency=medium

  [ dann frazier ]
  * Make the kdump kernel cmdline consistent in comments, code & docs.
  * Set reasonable default cmdlines for arm64.  (Closes: 883899)
  * ppc64el: Remove ata_piix.prefer_ms_hyperv=0 from crashkernel cmdline
  * ppc64el: add noirqdistrib to command line. (LP: #1658733)
  * Add myself to Uploaders.
  * Build-Depend on debhelper (>= 9.20160709) instead of dh-systemd,
    which is obsolete. Thanks lintian.

  [ Thadeu Lima de Souza Cascardo ]
  * Set crashkernel for ppc64el to load at 128M instead of 32M. That allows
    larger kernels to boot. (LP: #1728115)

 -- dann frazier <dannf@debian.org>  Fri, 12 Jan 2018 08:47:19 -0700

makedumpfile (1:1.6.2-1) unstable; urgency=medium

  [ Thadeu Lima de Souza Cascardo ]
  * Add ucf support

    /etc/default/kdump-tools was already changed by the maintainer script,
    so it should not be a conffile. ucf allows the maintainer scripts to ask
    the user about changes done by the user to the config file.

    Invoking debconf first in the script is desired, because the frontend
    might exec and invoke the script itself again. Also, we install the
    generated file instead of the original file, as we will replace some of
    the settings.  (Closes: 877250)

 -- Louis Bouchard <louis@ubuntu.com>  Wed, 01 Nov 2017 14:50:26 +0100

makedumpfile (1:1.6.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  * New upstream release. Main new feature:
    o Support for sparc64
     - sparc64 is supported from this version, it's tested on kernel-4.1.12.

    o Add new option for --dump-dmesg
     - Introduce the new option "--partial-dmesg", it can exclude the buffers
       cleared by "dmesg --clear" while the current --dump-dmesg always extracts
       the whole ring buffer.

    o Support new kernels

