=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,15 @@
 	SUBSTVARS = -Vdist:Depends="kexec-tools (>= 1:2.0.10-2)"
 else
 	SUBSTVARS = -Vdist:Depends="kexec-tools"
+endif
+
+KDUMP_CMDLINE_APPEND = reset_devices nr_cpus=1 systemd.unit=kdump-tools-dump.service
+ifeq ($(DEB_HOST_ARCH),arm64)
+	# pass
+else ifeq ($(DEB_HOST_ARCH),ppc64el)
+	KDUMP_CMDLINE_APPEND += irqpoll noirqdistrib nousb
+else
+	KDUMP_CMDLINE_APPEND += irqpoll nousb ata_piix.prefer_ms_hyperv=0
 endif
 
 %:
@@ -16,7 +25,15 @@
 override_dh_auto_build:
 	dh_auto_build -- LINKTYPE=dynamic USELZO=on
 
-override_dh_install:
+kdump_cmdline_insert = sed "s/@KDUMP_CMDLINE_APPEND@/$(KDUMP_CMDLINE_APPEND)/" < $< > $@
+debian/kdump-config: debian/kdump-config.in
+	$(kdump_cmdline_insert)
+debian/kdump-tools.conf: debian/kdump-tools.conf.in
+	$(kdump_cmdline_insert)
+debian/kdump-tools.5: debian/kdump-tools.5.in
+	$(kdump_cmdline_insert)
+
+override_dh_install: debian/kdump-config debian/kdump-tools.conf debian/kdump-tools.5
 	dh_install
 	install -D -m 755 debian/kernel-postinst-generate-initrd debian/kdump-tools/etc/kernel/postinst.d/kdump-tools
 	install -D -m 755 debian/kernel-postrm-delete-initrd debian/kdump-tools/etc/kernel/postrm.d/kdump-tools
@@ -37,4 +54,5 @@
 
 override_dh_auto_clean:
 	rm -f debian/kdump-tools.maintscript
+	rm -f debian/kdump-config debian/kdump-tools.conf debian/kdump-tools.5
 	dh_auto_clean
