=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: makedumpfile
 Section: devel
 Priority: optional
-Maintainer: Louis Bouchard <louis.bouchard@ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XBSC-Original-Maintainer: Louis Bouchard <louis.bouchard@ubuntu.com>
 Uploaders: dann frazier <dannf@debian.org>,
  Thadeu Lima de Souza Cascardo <cascardo@debian.org>
 Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 9.20160709),
  libelf-dev,
  libz-dev,
  libdw-dev (>= 0.141-2ubuntu1),
  libbz2-dev,
  liblzo2-dev,
- dh-systemd (>=1.5),
  po-debconf
 Vcs-Git: https://salsa.debian.org/debian/makedumpfile.git
 Vcs-Browser: https://salsa.debian.org/debian/makedumpfile
@@ -30,7 +30,7 @@
 Package: kdump-tools
 Architecture: i386 amd64 powerpc ia64 x32 arm64 armel armhf ppc64el s390x
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}, makedumpfile,
-         debconf, bsdmainutils, lsb-base (>= 3.0-6), file, ucf
+         debconf, bsdmainutils, lsb-base (>= 3.0-6), file, ucf, linux-base
 Recommends: initramfs-tools-core
 Description: scripts and tools for automating kdump (Linux crash dumps)
  kdump-tools provides an init script and a configuration script for
