## makedumpfile 1.6.6

=== debian/changelog ===
makedumpfile (1:1.6.6-4) unstable; urgency=medium

  * Let the kernel decide the crashkernel offset for ppc64el (LP: #1741860)
  * kdump-config: implement try-reload
  * udev: hotplug: use try-reload
  * Set Rules-Requires-Root to no

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Wed, 18 Dec 2019 10:50:47 -0300

makedumpfile (1:1.6.6-3) unstable; urgency=medium

  * Add a reload command.
  * Use kdump-config reload after cpu or memory hotplug.
  * Use reset_devices as a cmdline parameter.

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Wed, 18 Sep 2019 01:00:16 +0000

makedumpfile (1:1.6.6-2) unstable; urgency=medium

  [ Guilherme G. Piccoli ]
  * Add kdump retry/delay mechanism when dumping over network

  [ Thadeu Lima de Souza Cascardo ]
  * Use a different service for vmcore dump.
  * Use maxcpus instead of nr_cpus on ppc64el.
  * Reload kdump when CPU is brought online.
  * Allow proper reload of kdump after multiple hotplug events.

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Sat, 20 Jul 2019 11:25:01 -0300

makedumpfile (1:1.6.6-1) unstable; urgency=medium

  * Update to new upstream version 1.6.6.

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Fri, 12 Jul 2019 16:24:14 -0300
